Edit overview
Needs: Incidents, Read-write
Edits the title and description. Send at least one.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123/overview" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"title": "Fall in the kitchen (wet floor)"
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incidents/123/overview"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"title": "Fall in the kitchen (wet floor)"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incidents/123/overview", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"title": "Fall in the kitchen (wet floor)"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "Fall in the kitchen (wet floor)"
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/incidents/123/overview", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incidents/123/overview')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"title": "Fall in the kitchen (wet floor)"
}'
response = http.request(request)
puts response.body
{
"updated": 12,
"kind": "incident"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incidents/{id}/overviewTarget server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The incident id.
The media type of the request body
The new title. Cannot be empty.
Replaces the description. Plain text or simple HTML.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The incident id.
Body
The new title. Cannot be empty.
Replaces the description. Plain text or simple HTML.
Responses
OK